Package it.ernytech.tdlib

## Class TdApi.SearchStickerSet

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.SearchStickerSet

Enclosing class:
  TdApi

    public static class TdApi.SearchStickerSet
    extends TdApi.Function

Searches for a sticker set by its name.

Returns `StickerSet`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `name` Name of the sticker set.

### Constructor Summary

Constructors
`SearchStickerSet()` Default constructor.
`SearchStickerSet​(java.lang.String name)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### name

    public java.lang.String name

Name of the sticker set.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### SearchStickerSet

    public SearchStickerSet()

Default constructor.

#### SearchStickerSet

    public SearchStickerSet​(java.lang.String name)

Constructor for initialization of all fields.

Parameters:
  `name` - Name of the sticker set.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR